function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var p5 = _interopDefault(require('p5'));

var useP5 = function useP5(sketch) {
  var p5Ref = React.useRef(null);
  var canvasParentRef = React.useRef(null);
  var setCanvasParentRef = React.useCallback(function (node) {
    if (node) {
      p5Ref.current = new p5(sketch, node);
    } else {
      if (p5Ref.current) p5Ref.current.remove();
    }
    canvasParentRef.current = node;
  }, [sketch]);
  return [setCanvasParentRef, p5Ref.current];
};

exports.useP5 = useP5;
//# sourceMappingURL=index.js.map
