import { useRef, useCallback } from 'react';
import p5 from 'p5';

var useP5 = function useP5(sketch) {
  var p5Ref = useRef(null);
  var canvasParentRef = useRef(null);
  var setCanvasParentRef = useCallback(function (node) {
    if (node) {
      p5Ref.current = new p5(sketch, node);
    } else {
      if (p5Ref.current) p5Ref.current.remove();
    }
    canvasParentRef.current = node;
  }, [sketch]);
  return [setCanvasParentRef, p5Ref.current];
};

export { useP5 };
//# sourceMappingURL=index.modern.js.map
